# Uses of Class
org.globus.gsi.SigningPolicy

Packages that use SigningPolicy
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.provider
org.globus.gsi.provider.simple
org.globus.gsi.proxy
org.globus.gsi.stores
This package provides classes for accessing security material from generic "stores" (which can be defined via a url).

## Uses of SigningPolicy in org.globus.gsi

Methods in org.globus.gsi that return SigningPolicy
Modifier and Type
Method
Description
`SigningPolicy[]`
TrustedCertificates.`getSigningPolicies()`
Deprecated.
Returns all signing policies
`SigningPolicy`
TrustedCertificates.`getSigningPolicy(String subject)`
Deprecated.
Returns signing policy associated with the given CA subject.
Methods in org.globus.gsi that return types with arguments of type SigningPolicy
Modifier and Type
Method
Description
`Map<X500Principal,SigningPolicy>`
SigningPolicyParser.`parse(Reader reader)`
Parses input stream to extract signing policy defined for CA with the specified DN.
`Map<X500Principal,SigningPolicy>`
SigningPolicyParser.`parse(String fileName)`
Parses the file to extract signing policy defined for CA with the specified DN.
Constructors in org.globus.gsi with parameters of type SigningPolicy
Modifier
Constructor
Description
``
`TrustedCertificates(X509Certificate[] certs, SigningPolicy[] policies)`
Deprecated.

## Uses of SigningPolicy in org.globus.gsi.provider

Methods in org.globus.gsi.provider that return SigningPolicy
Modifier and Type
Method
Description
`SigningPolicy`
SigningPolicyStore.`getSigningPolicy(X500Principal caPrincipal)`
JGLOBUS-87

## Uses of SigningPolicy in org.globus.gsi.provider.simple

Methods in org.globus.gsi.provider.simple that return SigningPolicy
Modifier and Type
Method
Description
`SigningPolicy`
SimpleMemorySigningPolicyStore.`getSigningPolicy(X500Principal caPrincipal)`
Deprecated.
Constructors in org.globus.gsi.provider.simple with parameters of type SigningPolicy
Modifier
Constructor
Description
``
`SimpleMemorySigningPolicyStore(SigningPolicy[] policies)`
Deprecated.

## Uses of SigningPolicy in org.globus.gsi.proxy

Methods in org.globus.gsi.proxy with parameters of type SigningPolicy
Modifier and Type
Method
Description
`void`
ProxyPathValidator.`validate(X509Certificate[] certPath, X509Certificate[] trustedCerts, CertificateRevocationLists crls, SigningPolicy[] signingPolicies)`
`void`
ProxyPathValidator.`validate(X509Certificate[] certPath, X509Certificate[] trustedCerts, CertificateRevocationLists crls, SigningPolicy[] signingPolicies, Boolean enforceSigningPolicy)`

## Uses of SigningPolicy in org.globus.gsi.stores

Methods in org.globus.gsi.stores that return SigningPolicy
Modifier and Type
Method
Description
`SigningPolicy`
ResourceSigningPolicyStore.`getSigningPolicy(X500Principal caPrincipal)`
Methods in org.globus.gsi.stores that return types with arguments of type SigningPolicy
Modifier and Type
Method
Description
`Map<X500Principal,SigningPolicy>`
ResourceSigningPolicy.`create(GlobusResource signingPolicyResource)`
`protected Map<X500Principal,SigningPolicy>`
ResourceSigningPolicy.`getObject()`
`Collection<SigningPolicy>`
ResourceSigningPolicy.`getSigningPolicies()`
Method parameters in org.globus.gsi.stores with type arguments of type SigningPolicy
Modifier and Type
Method
Description
`protected void`
ResourceSigningPolicy.`init(GlobusResource initResource, Map<X500Principal,SigningPolicy> initSigningPolicy)`